package com.dcs.equipment.service.impl;

import com.dcs.equipment.domain.DeviceRequest;
import com.dcs.equipment.service.ProtocolService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author: wangpx
 * @date: 2025-07-16 16:18
 */
@Service("opcUAService")
public class OpcUAServiceImpl implements ProtocolService {

    @Override
    public List<Object> getValues(DeviceRequest request) {
        return null;
    }

    @Override
    public boolean setValue(DeviceRequest request) {
        return false;
    }

    @Override
    public Object getValue(DeviceRequest request) {
        return null;
    }
}
